Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 4523 - SWS 2.0 on RH 6.0 incompatible berkeley DB
Summary: SWS 2.0 on RH 6.0 incompatible berkeley DB
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Secure Web Server
Classification: Retired
Component: secureweb
Version: 3.0
Hardware: i386
OS: Linux
medium
medium
Target Milestone: ---
Assignee: Preston Brown
QA Contact:
URL: http://www.certsite.com/adi/db-1.85-1...
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 1999-08-14 22:06 UTC by adi
Modified: 2008-05-01 15:37 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2000-01-13 15:36:06 UTC


Attachments (Terms of Use)

Description adi 1999-08-14 22:06:29 UTC
RH 6.0 ships with Berkeley DB 2.1.1.

SWS 2.0 needs Berkeley DB 1.85 for AuthDBUserFile and
AuthDBGroupFile.

I could not get SWS 2.0 to read my db files no matter which
interface I used (/usr/include/db1/db.h,
/usr/include/db_185.h, etc)  The only solution was to
compile and install the original Berkeley DB 1.85
distribution.

However, that was easier said than done, since I believe
there was an incompatibility in egcs with the 1.85 source.
I'm not sure exactly what package caused the conflict, but I
patched it.  See the patch for details.

Everything works now with my new SRPM,  see the URL above.
Once you install it, you need to rebuild the perl DB_File
module (or whatever you're using to maintain AuthDB*Files)
with the new /usr/lib/libdb-1.85.so and
/usr/include/db-1.85/db.h.

Comment 1 Preston Brown 1999-08-23 15:17:59 UTC
Jeff, these db problems have been sorted out for 6.1 already, correct
or incorrect?

Comment 2 Preston Brown 2000-01-13 15:36:59 UTC
please upgrade to Secure Web Server 3.1 -- you can get it for free.  Please
contact sales regarding this -- you will have to return your Secure Web Server
2.0 CDs.


Note You need to log in before you can comment on or make changes to this bug.